# DataExchange
TKXSBase
IFSelect

# IFSelect_SignValidity Class Reference

This Signature returns the Validity Status of an entity, as
deducted from data in the model : it can be
"OK" "Unknown" "Unloaded" "Syntactic Fail"(but loaded)
"Syntactic Warning" "Semantic Fail" "Semantic Warning"
.

`#include <IFSelect_SignValidity.hxx>`

Inheritance diagram for IFSelect_SignValidity:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SignValidity ()
| Returns a SignValidity .
Standard_EXPORT Standard_CString | Value (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns the Signature for a Transient object, as a validity deducted from data (reports) stored in the model Calls the class method CVal .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_CString | CVal (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model)
| Returns the Signature for a Transient object, as a validity deducted from data (reports) stored in the model. Class method, can be called by any one .

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SignValidity::IFSelect_SignValidity | ( |  | ) |

## Member Function Documentation

static Standard_EXPORT Standard_CString IFSelect_SignValidity::CVal | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | `[static]`

Standard_EXPORT const IFSelect_SignValidity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Signature.

Standard_EXPORT Standard_CString IFSelect_SignValidity::Value | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements Interface_SignType.

The documentation for this class was generated from the following file:

- IFSelect_SignValidity.hxx